org.apache.storm.topology

## Class BasicOutputCollector

- java.lang.Object
- - org.apache.storm.topology.BasicOutputCollector

- All Implemented Interfaces:
    IErrorReporter, IBasicOutputCollector

      public class BasicOutputCollector
      extends Object
      implements IBasicOutputCollector

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicOutputCollector(OutputCollector out)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Integer>` | `emit(List<Object> tuple)`
    `List<Integer>` | `emit(String streamId, List<Object> tuple)`
    `void` | `emitDirect(int taskId, List<Object> tuple)`
    `void` | `emitDirect(int taskId, String streamId, List<Object> tuple)`
    `protected IOutputCollector` | `getOutputter()`
    `void` | `reportError(Throwable t)`
    `void` | `resetTimeout(Tuple tuple)` Resets the message timeout for any tuple trees to which the given tuple belongs.
    `void` | `setContext(Tuple inputTuple)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicOutputCollector

          public BasicOutputCollector(OutputCollector out)

  - ### Method Detail

    - #### emit

          public List<Integer> emit(String streamId,
                                    List<Object> tuple)

      Specified by:
        `emit` in interface `IBasicOutputCollector`

    - #### emit

          public List<Integer> emit(List<Object> tuple)

    - #### setContext

          public void setContext(Tuple inputTuple)

    - #### emitDirect

          public void emitDirect(int taskId,
                                 String streamId,
                                 List<Object> tuple)

      Specified by:
        `emitDirect` in interface `IBasicOutputCollector`

    - #### emitDirect

          public void emitDirect(int taskId,
                                 List<Object> tuple)

    - #### resetTimeout

          public void resetTimeout(Tuple tuple)

      Resets the message timeout for any tuple trees to which the given tuple belongs. The timeout is reset to Config.TOPOLOGY_MESSAGE_TIMEOUT_SECS. Note that this is an expensive operation, and should be used sparingly.

      Specified by:
        `resetTimeout` in interface `IBasicOutputCollector`
      Parameters:
        `tuple` - the tuple to reset timeout for

    - #### getOutputter

          protected IOutputCollector getOutputter()

    - #### reportError

          public void reportError(Throwable t)

      Specified by:
        `reportError` in interface `IErrorReporter`

Copyright © 2019 The Apache Software Foundation. All rights reserved.